PLUGINS methods
The PLUGINS API methods provide plugin-related functionality.
note
The PLUGINS API is not enabled by default for JSON-RPC.
Enable it using the --rpc-http-api or --rpc-ws-api option.
plugins_reloadPluginConfig
When you call this method without parameters, all plugins are reloaded. If you specify names, only those plugins are reloaded. This method awaits all reloads before returning its result.
Parameters
plugin: string - (Optional) Plugin name.
Returns
Successif the plugins reload. If one or more plugins fail, the error response provides a comma-separated list of<pluginName>:successor<pluginName>:failure (reason).
Example
- curl HTTP request
- wscat WS request
- JSON result
curl -X POST http://127.0.0.1:8545/ \
-H "Content-Type: application/json" \
--data '{
"jsonrpc": "2.0",
"method": "plugins_reloadPluginConfig",
"params": [
"tech.pegasys.plus.plugin.kafka.KafkaPlugin"
],
"id": 1
}'
{
"jsonrpc": "2.0",
"method": "plugins_reloadPluginConfig",
"params": [
"tech.pegasys.plus.plugin.kafka.KafkaPlugin"
],
"id": 1
}
{
"jsonrpc": "2.0",
"id": 1,
"result": "Success"
}